// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.Projects.Gui.Dialogs.OptionPanels {
    
    
    internal partial class StartupOptionsPanelWidget {
        
        private Gtk.VBox vbox2;
        
        private Gtk.RadioButton radioSingle;
        
        private Gtk.HBox hbox2;
        
        private Gtk.Label label1;
        
        private Gtk.ComboBox comboItems;
        
        private Gtk.RadioButton radioMulti;
        
        private Gtk.HBox hbox1;
        
        private Gtk.Label label2;
        
        private Gtk.ScrolledWindow GtkScrolledWindow;
        
        private Gtk.TreeView treeItems;
        
        private Gtk.VBox vbox3;
        
        private Gtk.Button buttonUp;
        
        private Gtk.Button buttonDown;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.Projects.Gui.Dialogs.OptionPanels.StartupOptionsPanelWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.Projects.Gui.Dialogs.OptionPanels.StartupOptionsPanelWidget";
            // Container child MonoDevelop.Projects.Gui.Dialogs.OptionPanels.StartupOptionsPanelWidget.Gtk.Container+ContainerChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 6;
            // Container child vbox2.Gtk.Box+BoxChild
            this.radioSingle = new Gtk.RadioButton(MonoDevelop.Core.GettextCatalog.GetString("Single startup project:"));
            this.radioSingle.CanFocus = true;
            this.radioSingle.Name = "radioSingle";
            this.radioSingle.Active = true;
            this.radioSingle.DrawIndicator = true;
            this.radioSingle.UseUnderline = true;
            this.radioSingle.Group = new GLib.SList(System.IntPtr.Zero);
            this.vbox2.Add(this.radioSingle);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.vbox2[this.radioSingle]));
            w1.Position = 0;
            w1.Expand = false;
            w1.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.hbox2 = new Gtk.HBox();
            this.hbox2.Name = "hbox2";
            this.hbox2.Spacing = 6;
            // Container child hbox2.Gtk.Box+BoxChild
            this.label1 = new Gtk.Label();
            this.label1.WidthRequest = 12;
            this.label1.Name = "label1";
            this.hbox2.Add(this.label1);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox2[this.label1]));
            w2.Position = 0;
            w2.Expand = false;
            w2.Fill = false;
            // Container child hbox2.Gtk.Box+BoxChild
            this.comboItems = Gtk.ComboBox.NewText();
            this.comboItems.Name = "comboItems";
            this.hbox2.Add(this.comboItems);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.hbox2[this.comboItems]));
            w3.Position = 1;
            this.vbox2.Add(this.hbox2);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.vbox2[this.hbox2]));
            w4.Position = 1;
            w4.Expand = false;
            w4.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.radioMulti = new Gtk.RadioButton(MonoDevelop.Core.GettextCatalog.GetString("Multiple startup projects:"));
            this.radioMulti.CanFocus = true;
            this.radioMulti.Name = "radioMulti";
            this.radioMulti.DrawIndicator = true;
            this.radioMulti.UseUnderline = true;
            this.radioMulti.Group = this.radioSingle.Group;
            this.vbox2.Add(this.radioMulti);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.vbox2[this.radioMulti]));
            w5.Position = 2;
            w5.Expand = false;
            w5.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 6;
            // Container child hbox1.Gtk.Box+BoxChild
            this.label2 = new Gtk.Label();
            this.label2.WidthRequest = 12;
            this.label2.Name = "label2";
            this.hbox1.Add(this.label2);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.hbox1[this.label2]));
            w6.Position = 0;
            w6.Expand = false;
            w6.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.GtkScrolledWindow = new Gtk.ScrolledWindow();
            this.GtkScrolledWindow.Name = "GtkScrolledWindow";
            this.GtkScrolledWindow.ShadowType = ((Gtk.ShadowType)(1));
            // Container child GtkScrolledWindow.Gtk.Container+ContainerChild
            this.treeItems = new Gtk.TreeView();
            this.treeItems.CanFocus = true;
            this.treeItems.Name = "treeItems";
            this.GtkScrolledWindow.Add(this.treeItems);
            this.hbox1.Add(this.GtkScrolledWindow);
            Gtk.Box.BoxChild w8 = ((Gtk.Box.BoxChild)(this.hbox1[this.GtkScrolledWindow]));
            w8.Position = 1;
            // Container child hbox1.Gtk.Box+BoxChild
            this.vbox3 = new Gtk.VBox();
            this.vbox3.Name = "vbox3";
            this.vbox3.Spacing = 6;
            // Container child vbox3.Gtk.Box+BoxChild
            this.buttonUp = new Gtk.Button();
            this.buttonUp.CanFocus = true;
            this.buttonUp.Name = "buttonUp";
            this.buttonUp.UseStock = true;
            this.buttonUp.UseUnderline = true;
            this.buttonUp.Label = "gtk-go-up";
            this.vbox3.Add(this.buttonUp);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.vbox3[this.buttonUp]));
            w9.Position = 0;
            w9.Expand = false;
            w9.Fill = false;
            // Container child vbox3.Gtk.Box+BoxChild
            this.buttonDown = new Gtk.Button();
            this.buttonDown.CanFocus = true;
            this.buttonDown.Name = "buttonDown";
            this.buttonDown.UseStock = true;
            this.buttonDown.UseUnderline = true;
            this.buttonDown.Label = "gtk-go-down";
            this.vbox3.Add(this.buttonDown);
            Gtk.Box.BoxChild w10 = ((Gtk.Box.BoxChild)(this.vbox3[this.buttonDown]));
            w10.Position = 1;
            w10.Expand = false;
            w10.Fill = false;
            this.hbox1.Add(this.vbox3);
            Gtk.Box.BoxChild w11 = ((Gtk.Box.BoxChild)(this.hbox1[this.vbox3]));
            w11.Position = 2;
            w11.Expand = false;
            w11.Fill = false;
            this.vbox2.Add(this.hbox1);
            Gtk.Box.BoxChild w12 = ((Gtk.Box.BoxChild)(this.vbox2[this.hbox1]));
            w12.Position = 3;
            this.Add(this.vbox2);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Hide();
            this.radioSingle.Toggled += new System.EventHandler(this.OnRadioSingleToggled);
            this.buttonUp.Clicked += new System.EventHandler(this.OnButtonUpClicked);
            this.buttonDown.Clicked += new System.EventHandler(this.OnButtonDownClicked);
        }
    }
}
